package eu.dnetlib.dhp.contextpropagation;

import java.io.Serializable;
import java.util.List;

public class Node implements Serializable {
    private String id;
    private List<String> publisher;

    public List<String> getPublisher() {
        return publisher;
    }

    public void setPublisher(List<String> publisher) {
        this.publisher = publisher;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public static Node newInstance(String id, List<String> publisher){
        Node n = new Node();
        n.id = id;
        n.publisher = publisher;
        return n;
    }
}
